; doors

checkDoor
	; call findHero
	call getFeet
	ld e,l
	ld a,(ix+10)	; dir
	and 3
	ld hl,cDoorDirs
	jp jumpTab
	
cDoorDirs
	dw cDoorUp,cDoorRg,cDoorDn,cDoorLf
	
cDoorUp	dec b		; 1.bc=YX ahead of feets, l=Xsize of tile-line
	jr cDoor
cDoorDn	inc b
	jr cDoor
cDoorLf	dec c
	jr cdrg1
cDoorRg	ld a,c
	add a,e
	ld c,a
cdrg1	ld e,1
cDoor	ld l,e
	ld iy,(doorTabAdr)
cdoor01	ld a,(iy)	; id
	cp 255
	ret z
	bit 0,(iy+1)	; b0,flag
	jr nz,cdoorNX
	ld a,(iy+2)	; map
	cp (ix+1)
	jr nz,cdoorNX
	ld a,b
	sub (iy+4)
	cp (iy+6)
	jr nc,cdoorNX
	ld a,c
	sub (iy+3)
	jr c,cdoorNX
	sub (iy+5)
	jr nc,cdoorNX
	neg
	cp l
	jr nc,cdoorY
cdoorNX	ld de,doorDSCSize
	add iy,de
	jr cdoor01
cdoorY	ld a,(iy+7)
	push af
	push ix
	call map.setMap
	pop ix
	pop af
	ld (ix+1),a
	ld a,(iy+8)
	ld (ix+2),a
	ld a,(iy+9)
	ld (ix+3),a
	ld a,(iy+10)
	and 3
	ld (ix+10),a
	ld hl,DoorDir
	add a,a
	ADDA h,l
	ld a,(hl)
	ld (ix+5),a
	inc hl
	ld a,(hl)
	ld (ix+6),a
	call aniPTS
	or 2
	ret

DoorDir	dw herou0,heror0,herod0,herol0

; on/off door A
actDoor	ld b,0
	jr sdoor0
delDoor	ld b,1
sdoor0	ld hl,(doorTabAdr)
	ld de,doorDSCSize
	ld c,a
sdoor1	ld a,(hl)
	cp 255
	ret z
	cp c
	jr z,sdoor2
	add hl,de
	jr sdoor1
sdoor2	inc hl
	ld a,(hl)
	and 0xfe
	or b
	ld (hl),a
	ret
