	MODULE magic

; make a menu for magic
; in: IX:addr to make to; A:current MP

makeMenu
	push af
	xor a
	ld de,mmBack
	ld bc,backScript
	call menu.formP
	pop de		; D = MP
	ld hl,(magTabAdr)
mmenCYC	ld e,(hl)	; E = id
	ld a,e
	inc a
	ret z
	inc hl
	bit 0,(hl)	; b0,flag : available
	inc hl
	jr z,mmenNXT
	ld a,d
	cp (hl)		; required mp
;	jr c,mmenSKP
	inc hl
	ld c,(hl)	; bc = exec.script.adr
	inc hl
	ld b,(hl)
	inc hl
	push de
	ld a,e		; data = id
	ld e,(hl)	; de = text.adr
	inc hl
	ld d,(hl)
	inc hl
	call c,menu.formS
	call nc,menu.formP
	pop de
	jr mmenCYC
mmenNXT	inc hl		; req.mp
	inc hl		; exec.adr
	inc hl
	inc hl		; txt.adr
	inc hl
	jr mmenCYC

; use magic id=C
use	call findMagic
	ret c
	inc hl	; id
	inc hl	; flag
	inc hl	; req.mp
	LDHL
	jp script.exec

findMagic
	ld hl,(magTabAdr)
	ld de,magicDSCSize
fmag01	ld a,(hl)
	cp 0xff
	scf
	ret z
	cp c
	ret z
	add hl,de
	jr fmag01
	
;	enable magic id=C
enable	call findMagic
	ret c
	inc hl
	set 0,(hl)
	ret
	
disable	call findMagic
	ret c
	inc hl
	res 0,(hl)
	ret

;	init. set all magic disabled
reset	ld hl,(magTabAdr)
	ld de,magicDSCSize-1
rCYC	ld a,(hl)
	inc a
	ret z
	inc hl
	res 0,(hl)
	add hl,de
	jr rCYC
	
	ENDMODULE
