; BC = NPC ids ahead of Hero (max 2) - it can be used for check during animation
scanELM	ld hl,(elmTabAdr)
	jr snpcHL
scanNPC	ld hl,(npcTabAdr)
snpcHL	push hl
	call findHero
	pop hl
	ret nc
	push hl
	ld bc,chaDSCSize
	exx
	ld h,0xff
	ld c,(ix + 10)
	ld de,snpcTab
	call jumpCDE	; H,D,E,L = map,Y,X,Size
	ld bc,0xffff
	pop ix
snpc1	ld a,(ix)
	cp 0xff
	ret z
	and a		; skip id=0 (hero)
	jr z,snpcNX
	ld a,(ix+1)	; compare map
	cp h
	jr nz,snpcNX
	ld a,d
	sub (ix+3)	; Y is inside sprite?
	exx
	ld l,(ix+5)
	ld h,(ix+6)
	inc hl
	cp (hl)
	exx
	jr nc,snpcNX
	ld a,e		; X,len is crossing sprite?
	sub (ix+2)
	jr nc,snpc2a
	neg
	cp l
	jr nc,snpcNX
	jr snpcY
snpc2a	exx
	dec hl
	cp (hl)
	exx
	jr nc,snpcNX
snpcY	ld b,c
	ld c,(ix)
snpcNX	exx
	add ix,bc
	exx
	jr snpc1
	
snpcTab	DBW dirNorth,snpcN
	DBW dirEast,snpcE
	DBW dirSouth,snpcS
	DBW dirWest,snpcW
	db 0xff

snpcN	ld d,2
	jr snpcs1	
snpcS	ld d,0
snpcs1	ld l,(ix+5)
	ld h,(ix+6)
	inc hl
	ld a,(ix+3)
	add a,(hl)
	sub d
	ld d,a		; D:Y
	ld e,(ix+2)	; E:X
	dec hl
	ld l,(hl)	; L:dX
	ld h,(ix+1)	; H:map
	ret
	
snpcE	ld l,(ix+5)
	ld h,(ix+6)
	ld a,(ix+2)
	add a,(hl)
	ld e,a
	jr snpcw1
snpcW	ld e,(ix+2)
	dec e
	ld l,(ix+5)
	ld h,(ix+6)
snpcw1	inc hl
	ld a,(ix+3)
	add a,(hl)
	dec a
	ld d,a
	ld h,(ix+1)
	ld l,1
	ret

; B,C = Y,X of NPC feet, L = dX of NPC sprite
getFeet	ld c,(ix+2)
	ld b,(ix+3)
	ld e,(ix+5)
	ld d,(ix+6)
	ld a,(de)
	ld l,a
	inc de
	ld a,(de)
	add a,b
	dec a
	ld b,a
	ret

; IX = DSC of NPC/Element with id=C
; CY=0 : not found
findElem
	ld ix,(elmTabAdr)
	jr findIXC
findHero
	ld c,0
findNPC	ld ix,(npcTabAdr)
findIXC	ld de,chaDSCSize
fnpc1	ld a,(ix)
	cp 0xff
	ret z
	cp c
	scf
	ret z
	add ix,de
	jr fnpc1
	
; wait NPC C animation end
waitElem
	call findElem
	jr wnpc00
waitNPC	call findNPC
wnpc00	ret nc
wnpc01	halt
	push ix
	call aniSR
	pop ix
	ld a,(ix+7)
	and a
	jr nz,wnpc01
	ret