; active zones

; check active zone crossing & run script
; ret  NZ : no zone
;	Z : script running
scanZones
	call findHero
	call getFeet	; B,C = Y,X of hero feet
	ld hl,(zoneTabAdr)
	ld de,zoneDSCSize
azCYC	ld a,(hl)	; id
	cp 0xff
	ret z
	push hl
	inc hl
	ld a,(hl)	; flag; b0:inactive
	rra
	jr c,azCNX
	inc hl
	ld a,(hl)	; map
	cp (ix+1)
	jr nz,azCNX
	inc hl
	ld a,c
	sub (hl)	; X
	inc hl
	inc hl
	cp (hl)		; dX
	jr nc,azCNX
	dec hl
	ld a,b
	sub (hl)	; Y
	inc hl
	inc hl
	cp (hl)		; dY
	jr c,azYES
azCNX	pop hl
azNXT	add hl,de
	jr azCYC
azYES	pop af
	inc hl
	LDHL		; script.adr
	call script.exec
	or 2
	ret

delZone	call findZone
	ret c
	inc hl
	set 0,(hl)
	ret

setZone	call findZone
	ret c
	inc hl
	res 0,(hl)
	ret

findZone
	ld hl,(zoneTabAdr)
	ld de,zoneDSCSize
fzon1	ld a,(hl)
	cp 0xff
	scf
	ret z
	cp c
	ret z
	add hl,de
	jr fzon1
