; == GIVE
;	itemID,npcID,<adr>

	MACRO GIVE iid,pid,adr
	 db iid,pid
	 dw adr
	ENDM

giveTable
; village head
	GIVE 0,idMayor,giv0100		; fire stone
	GIVE 6,idMayor,giv0106		; mozaic
; blacksmith
	GIVE 0,idBlacksmith,giv0300	; fire stone
	GIVE 19,idBlacksmith,giv0313	; soft stone
	GIVE 26,idBlacksmith,giv031a	; troll hand
	GIVE 3,idBlacksmith,giv0303	; green crystal powder
	GIVE 29,idBlacksmith,giv031d	; alony
; knight
	GIVE 23,idKnight,giv0417	; knight for dummies
; monk 1
	GIVE 6,idMonk,giv0506		; mozaic parts
;	GIVE 7,idMonk,giv0506
;	GIVE 8,idMonk,giv0506
;	GIVE 9,idMonk,giv0506
; head monk
	GIVE 6,idHeadMonk,giv0606	; mozaic 1
;	GIVE 7,idHeadMonk,giv0607	; mozaic 2
;	GIVE 8,idHeadMonk,giv0608	; mozaic 3
;	GIVE 9,idHeadMonk,giv0609	; mozaic 4
; ghost
	GIVE 2,idGhost,giv0802		; spider web
	GIVE 17,idGhost,giv0811		; handcuffs
	GIVE 24,idGhost,giv0818		; earphone
	GIVE 28,idGhost,giv081c		; helm
; diggers
	GIVE 18,idDiggerA,giv0a12	; tnt
	GIVE 18,idDiggerB,giv0a12
	GIVE 21,idDiggerC,giv0c15	; cave berries
; piligrim
	GIVE 21,idPiligrim,giv0d15	; cave berry
	GIVE 10,idPiligrim,giv0d0a	; crystal powder
; master
	GIVE 20,idMaster,giv0e14	; hammer
	GIVE 22,idMaster,giv0e16	; rope
; bandit
	GIVE 1,idBandit,giv1201		; return key to bandit
; dwarf
	GIVE 11,idDwarf,giv110b		; crystall
	GIVE 3,idDwarf,giv110b		; green powder (same)
; dwarfbro
	GIVE 11,idDwarfBro,giv130b	; crystall
	GIVE 3,idDwarfBro,giv1303	; green powder
; trader
	GIVE 23,idTrader,giv1417	; knighthood 4 dummies
	GIVE 5,idTrader,giv1405		; viking saga
; viking
	GIVE 4,idViking,giv1504		; green crystal
; alone boy
	GIVE 26,idAlone,giv0f1a		; troll hand
	GIVE 23,idAlone,giv0f17		; knighthood 4 dummies
	dw 0xffff,givNull

givNull	db MSG0083
	tEnd

; village head
	
giv0100	tIfSet 12,g0100a
	tExtend talk01j
	tIfSet 8,g0100e
	tExtend tal01ja
	tSetBit 12
g0100e	tEnd
g0100a	tExtend talk01k
	tEnd
	
giv0106	tIfSet 16,g0106a
	tExtend talk01l
	tSetBit 16
g0106a	tExtend talk01m
	tEnd
	
; blacksmith
	
giv0300	tIfRes 6,g0300z
	tIfSet 8,g0300a
	tExtend talk03i
	tEnd
g0300z	tExtend talk03x
	tEnd
g0300a	tExtend talk03j
	tDelItem 0
	tAddEquip eShield,1
	tDialogOff
	tInfoText MSGGH01
	tEnd
	
giv0313	tExtend talk03c
	tDelItem 0x13
	tAddEquip eArmor,2
	tDialogOff
	tInfoText MSGGA02
	tEnd
	
giv031a	tExtend talk03e
	tDelItem 0x1a
	tAddEquip eSword,2
	tDialogOff
	tInfoText MSGGS02
	tSetBit 64
	tEnd

giv031d	tExtend talk03k
	tDelItem 29
	tAddEquip eSword,4
	tDialogOff
	tInfoText MSGGS04
	tEnd

giv0303	tExtend talk03f
	tEnd

; dummy knight

giv0417	tIfSet 62,g0417a
	tDelItem 23
	tExtend talk04f
	tAddItem 24
	tSetBit 49
	tEnd
g0417a	tExtend talk04p
	tEnd
	
; monk 1
	
giv0506	tIfSet 18,g0506a
	tExtend talk05c
	tMapSpr 15,as15o
	tDoorOn 14
	tSetBit 18
	tEnd
g0506a	tExtend talk05d
	tEnd

; head monk
	
giv0606	tDelItem 6
	tIfRes 20,g0606_1
	tIfRes 56,g0606_2
	tIfRes 57,g0606_3
	tExtend talk06x
	tMapAni 254,ani254opn
	tWaitElem 254
	tDoorOn 26
	tSetBit 58		; ??? why
	tSetBit 77
gmzy_01	tExtend talk06y
	tEnd	
g0606_1	tExtend talk06z		; 1st part
	tSetBit 20
	tMapSpr 68,as68
	tEnd
g0606_2	tCall g0606_t		; 2nd part
	tMapSpr 67,as67
	tSetBit 56
	tEnd
g0606_3	tCall g0606_t		; 3rd part
	tMapSpr 66,as66
	tSetBit 57
	tEnd
g0606_t	tExtend talk06b
	tEnd

; ghost

giv0802	tIfSet 78,g0802a
	tDelItem 2
	tExtend talk08b
	tDialogOff
	tAddEquip eSword,1
	tInfoText MSGGS01
	tEnd
g0802a	tExtend talk08h
	tEnd

giv0811	tDelItem 17
	tExtend talk08c
	tAddItem 18
	tEnd
	
giv0818	tDelItem 24
	tExtend talk08d
	tDialogOff
	tAddEquip eShield,2
	tInfoText MSGGH02
	tNpcAni idGhost,ani08u
	tWaitNPC idGhost
	tSetBit 78
	tEnd
	
giv081c	tDelItem 28
	tExtend talk08g
	tDialogOff
	tAddEquip eSword,3		; hero sword
	tInfoText MSGGS03
	tNpcAni idGhost,ani08u
	tWaitNPC idGhost
	tSetBit 81
	tEnd

; diggers
	
giv0a12	tDelItem 18
	tExtend talk10b
	tDialogOff
	tMoveNPC idDiggerA,28,23,5
	tMoveNPC idDiggerB,28,25,5
	tNpcAni idDiggerA,ani10w
	tNpcAni idDiggerB,ani10w
	tWaitNPC idDiggerA
	tWaitNPC idDiggerB
	tMoveNPC idDiggerA,28,20,4
	tMoveNPC idDiggerB,28,28,4
	tNpcSpr idDiggerA,npc09a
	tNpcSpr idDiggerB,npc10e1
	tPause 50
	tNpcSpr idDiggerB,npc10e2
	tMapAni 100,aniExpl
	tPause 50
	tPutItem 19,28,24,3
	tNpcSpr idDiggerB,npc09a
	tMoveNPC idAbyssGirl,33,28,3
	tSetBit 29
	tEnd

giv0c15	tExtend talk12b	
	tDelItem 21
	tExtend talk12c
	tAddItem 22
	tSetBit 34
	tEnd

; 13 : piligrim

giv0d15	tExtend talk13h
	tEnd
	
giv0d0a	tIfSet 39,g0d0a1
	tExtend talk13i
	tEnd
g0d0a1	tDelItem 10
	tExtend talk13j
	tDialogOff
	tDoorOn 22
	tMapSpr 28,as28o
	tSetBit 73
	tEnd

; 14 : master

giv0e14	tDelItem 20
	tSetBit 36
	tIfSet 37,g0e14a
	tExtend talk14b
	tEnd
giv0e16	tDelItem 22
	tSetBit 37
	tIfSet 36,g0e14a
	tExtend talk14c
	tEnd
g0e14a	tExtend talk14d
	tDialogOff
	tMoveNPC idMaster,24,22,4
	tCall g0e14c
	tMapSpr 23,empty33
	tMapSpr 25,empty33
	tMoveNPC idMaster,24,23,7
	tCall g0e14c
	tMapSpr 24,empty33
	tMoveNPC idMaster,24,22,11
	tCall g0e14c
	tMoveNPC idMaster,24,25,12
	tNpcAni idMaster,ani14
	tMoveNPC idAbyssGirl,8,26,9
	tMoveNPC idViking,14,14,8
	
	tMoveNPC idDiggerA,28,11,4
	tMoveNPC idDiggerB,28,15,3
	tMoveNPC idDiggerC,28,18,4
	tNpcSpr idDiggerA,npc10a
	tNpcSpr idDiggerB,npc10a
	
	tSetBit 38
	tEnd
g0e14c	tNpcAni 14,ani14w
	tWaitNPC 14
	tEnd

; 15 : alone
	
giv0f1a	tDelItem 26
	tExtend talk15c
	tAddItem 29
g0f1aa	tZoneOn 15
	tSetBit 76
	tEnd
	
giv0f17	tIfSet 65,g0f17a
	db MSG0084
	tEnd
g0f17a	tDelItem 23
	tExtend tg0f17
	tAddItem 27
	tEnd
	
; 17 : dwarf

giv110b	tExtend talk17k
	tEnd

; 18 : bandit

giv1201	tDelItem 1
	tSetBit 48
	tCall t18_c0
	tIfRes 41,g1201a
	tExtend talk18c2
	tJump d1803a
g1201a	tExtend talk18c
	tEnd
	
; 19 : dwarf bro

giv130b	tDelItem 11
	tExtend talk19c
	tAddItem 10
	tSetBit 54
	tMoveNPC idDwarf,1,9,10
	tZoneOn 13
	tEnd
	
giv1303	tIfSet 71,g1303a
	tIfSet 70,d19_05
	tExtend talk19e
	tIfRes 105,g1303e
	tZoneOn 17
g1303e	tEnd
g1303a	tDelItem 3
	tExtend talk19f
	tAddItem 4
	tSetBit 74
	tEnd
	
; 20 : trader

giv1417	tIfSet 59,g1417a
	tExtend talk20c
	tEnd
g1417a	tExtend talk20d
	tEnd
	
giv1405	tDelItem 5
	tExtend talk20g
	tDialogOff
	tAddEquip eAmulet,4
	tInfoText MSGAA04
	tSetBit 75
	tEnd

; 21 : viking

giv1504	tDelItem 4
	tExtend talk21d
	tAddItem 5
	tEnd