	DEVICE ZXSPECTRUM128

	MACRO getLen nm, sl, bl
	 org 0x8000
	 incbin nm
bl	 equ $-0x8000
	 align 256
sl	 equ high $ - 0x80
	ENDM
	
	getLen "../obj/intro.hr1",inLen,inBt
	getLen "../obj/engine.hr1",enLen,enBt
	getLen "../obj/gfx.hr1",gfLen,gfBt
	getLen "../obj/page1.hr1",p1Len,p1Bt
	getLen "../obj/page3.hr1",p3Len,p3Bt
	getLen "../obj/page4.hr1",p4Len,p4Bt
	getLen "../obj/page7.hr1",p7Len,p7Bt
	
/*
	org 0x8000
	incbin "../obj/intro.hr1"
inBt	equ $-0x8000
	align 256
inLen	equ high $ - 0x80

	org 0x8000
	incbin "../obj/engine.hr1"
enBt	equ $-0x8000
	align 256
enLen	equ high $ - 0x80

	org 0x8000
	incbin "../obj/gfx.hr1"
gfBt	equ $-0x8000
	align 256
gfLen	equ high $ - 0x80

	org 0x8000
	incbin "../obj/page1.hr1"
p1Bt	equ $-0x8000
	align 256
p1Len	equ high $ - 0x80

	org 0x8000
	incbin "../obj/page3.hr1"
p3Bt	equ $-0x8000
	align 256
p3Len	equ high $ - 0x80

	org 0x8000
	incbin "../obj/page4.hr1"
p4Bt	equ $-0x8000
	align 256
p4Len	equ high $ - 0x80

	org 0x8000
	incbin "../obj/page7.hr1"
p7Bt	equ $-0x8000
	align 256
p7Len	equ high $ - 0x80
*/

; dehrust
	
	org 0x6000

dehr	include "dehrustIX.asm"
	savebin "dehr1.6000.bin",dehr,$-dehr

; basic

	org 23867
bStart	db 0,0		; line 0
	dw l0sze
l0st	db 0xea		; rem

	ld sp,0x5fff
	ld hl,0x4000	; cls, black border
	ld de,0x4001
	ld bc,0x1aff
	ld (hl),l
	ldir
	xor a
	out (0xfe),a
	ld hl,0x6000	; dehrust1
	ld de,0x1002
	call doLoad
	ld hl,0x8000		; load, depack & call intro
	ld de,0x1000 + inLen
	call loadPak
	call 0x8000
	ld de,0x1100 + p1Len	; script 1
	call loadBPk
	ld de,0x1300 + p3Len	; script 2
	call loadBPk
	ld de,0x1400 + p4Len
	call loadBnk
	ld de,0x1700 + p7Len	; music
	call loadBPk
	ld hl,0x7d7d		; engine
	ld de,0x1000 + enLen
	call loadPak
	ld hl,(0x7d86)		; gfx
	ld de,0x1000 + gfLen
	call loadPak
	jp 0x7d80		; start game

loadBnk	ld hl,0xc000
doLoad	ld bc,0x7ffd
	out (c),d
	ld b,e
	ld c,5
	ld de,(23796)
	jp 15635
	
loadBPk	ld hl,0xc000
loadPak	push hl
	call doLoad
	pop hl
	ld d,h
	ld e,l
	jp 0x6000

	db 0x0d
l0sze	equ $-l0st

	db 0,1		; line 1
	dw l1sze
l1st	db 0xfd		; clear
	db 0xb0		; val
	db 0x22		;"
	db "24575"
	db 0x22		;"
	db ":"
	db 0xf9		; randomize
	db 0xc0		; usr
	db 0xb0		; val
	db 0x22		;"
	db "23872"
	db 0x22		;"
	db 0x0d
l1sze	equ $-l1st

	savebin "boot.bas",bStart,$-bStart
	
	module tape
	
; tape loader
	
tStart	db 0,10
	dw t1len
t1beg	db 0xfd,0xb0		; clear val "
	db 0x22,"24575",0x22
	db ":"
	db 0xd9,0xc3,0xa7	; ink not pi
	db ":"
	db 0xda,0xc3,0xa7	; paper not pi
	db ":"
	db 0xe7,0xc3,0xa7	; border not pi
	db ":"
	db 0xfb			; cls
	db 0x0d
t1len	equ $-t1beg

	db 0,20
	dw t2len
t2beg	db 0xef			; load
	db 0x22,"loader",0x22
	db 0xaf,0xb0		; code val
	db 0x22,"24576",0x22
	db ":"
	db 0xf9,0xc0,0xb0	; randomize usr val
	db 0x22,"24576",0x22
	db 0x0d
t2len	equ $-t2beg

	savebin "Wanderer.bas",tStart,$-tStart
	
	org 0x6000
	
tLoader	ld ix,0x8000
	ld de,inBt
	ld a,0x10
	call tpLoad
	call 0x8000
	ld de,p1Bt
	ld a,0x11
	call tbLoad
	ld de,p3Bt
	ld a,0x13
	call tbLoad
	ld de,p4Bt
	ld a,0x14
	call tbLoad
	ld de,p7Bt
	ld a,0x17
	call tbLoad
	ld ix,0x7d7d
	ld de,enBt
	ld a,0x10
	call tpLoad
	ld ix,(0x7d86)
	ld de,gfBt
	ld a,0x10
	call tpLoad
	jp 0x7d80
	
tbLoad	ld ix,0xc000
tpLoad	ld bc,0x7ffd
	out (c),a
	ld a,0xff
	scf
	push ix
	call 1366
	pop hl
	ld d,h
	ld e,l
	include "dehrustIX.asm"
	
	savebin "loader.COD",tLoader,$-tLoader
	
	endmodule