; == TALK
;	id,script.adr

talkTable
	DBW idMayor,d01script
	DBW idDaughter,d02script
	DBW idBlacksmith,d03script
	DBW idKnight,d04script
	DBW idCaptain,d22script
	DBW idMonk,d05script
	DBW idHeadMonk,d06script
	DBW idAbyssGirl,d07script
	DBW idGhost,d08script
	DBW idElevMan,d09script
	DBW idDiggerA,d10script
	DBW idDiggerB,d10script
	DBW idDiggerC,d12script
	DBW idPiligrim,d13script
	DBW idMaster,d14script
	DBW idAlone,d15script
	DBW idOldman,d16script
	DBW idDwarf,d17script
	DBW idBandit,d18script
	DBW idDwarfBro,d19script
	DBW idTrader,d20script
	DBW idViking,d21script
	DBW idMonkA,dNTscript
	DBW idMonkB,dNTscript
	db 0xff
	
; 01: mayor of village
	
d01script
	tIfSet 105,d01_10
	tIfSet 39,d01_09
	tIfSet 13,d01_04
	tIfSet 100,d01_03
	tIfSet 11,d01_02
	tIfSet 10,d01_01
	tExtend talk01a		; hello
	tSetBit 10
	tEnd
d01_01	tExtend talk01b		; secret
	tSetBit 11
	tEnd
d01_02	tExtend talk01c		; still not?
	tEnd
d01_03	tExtend talk01d		; beast is defeated
	tAddEquip eArmor,1
	tDialogOff
	tInfoText MSGGA01
	tSetBit 13
	tEnd
d01_04	tIfSet 32,d01_05
	tExtend talk01n
	tEnd
d01_05	tIfSet 33,d01_06
	tSetBit 33
	tExtend talk01e
	tIfSet 38,d01_07
	tExtend talk01f
	tEnd
d01_06	tIfSet 38,d01_08
	tExtend talk01o
	tEnd
d01_07	tExtend talk01g
	tEnd
d01_08	tExtend talk01h
	tZoneOn 8
	tEnd
d01_09	tExtend talk01p
	tEnd
d01_10	tExtend talk01i
	tEnd
	
; 02: child of blacksmith

d02script
	tIfSet 8,d02_01
	tExtend talk02b
	tEnd
d02_01	tExtend talk02c
	tEnd
	
; 03: blacksmith

d03script
	tIfSet 81,d03_04
	tIfSet 79,d03_07
	tIfSet 78,d03_06	
	tIfSet 64,d03_04
	tIfSet 63,d03_05
	tIfSet 9,d03_04
	tIfSet 8,d03_03
	tIfSet 7,d03_02
	tIfSet 6,d03_01
	tExtend talk03l
	tEnd
d03_01	tExtend talk03a
	tSetBit 7
	tEnd
d03_02	tExtend talk03m
	tEnd
d03_03	tExtend talk03b
	tSetBit 9
	tEnd
d03_04	tExtend talk03n
	tEnd
d03_05	tExtend talk03d
	tSetBit 64
	tEnd
d03_06	tExtend talk03g
	tMoveNPC idGhost,3,11,6
	tNpcAni idGhost,ani08
	tSetBit 79
	tEnd
d03_07	tExtend talk03h
	tEnd

; 04 : dummy knight

d04script
	tIfSet 84,d04_12
	tIfSet 83,d04_13
	tIfSet 62,d04_12
	tIfSet 106,d04_11
	tIfRes 14,d04_00
	tIfSet 49,d04_10
	tIfSet 42,d04_09
	tIfSet 103,d04_08
	tIfSet 24,d04_05
	tIfSet 26,d04_04
	tIfSet 23,d04_03
	tIfSet 15,d04_02
	tIfSet 14,d04_01
d04_00	tExtend talk04a
	tSetBit 14
	tEnd
d04_01	tExtend talk04b
	tSetBit 15
	tEnd
d04_02	tExtend talk04i
	tEnd
d04_03	tExtend talk04j
	tSetBit 26
	tEnd
d04_04	tExtend talk04k
	tEnd
d04_05	tIfSet 28,d04_04
	tIfSet 102,d04_07
	tIfSet 27,d04_06
	tExtend talk04c
	tSetBit 27
	tEnd
d04_06	tExtend talk04l
	tEnd
d04_07	tExtend talk04d
	tDialogOff
	tInfoText MSGAA02
	tAddEquip eAmulet,2
	tSetBit 28
	tEnd
d04_08	tExtend talk04e
	tSetBit 42
	tEnd
d04_09	tExtend talk04m
	tEnd
d04_10	tExtend talk04n
	tEnd
d04_11	tExtend talk04g
	tAddItem 23
	tSetBit 62
	tZoneOn 18
	tEnd
d04_12	tExtend talk04o
	tEnd
d04_13	tExtend talk04h
	tDialogOff
	tAddEquip eArmor,3
	tInfoText MSGGA03
	tSetBit 84
	tEnd
	
; 22 : knight captain

d22script
	tExtend talk22a
	tEnd

; 05 : monk 1

d05script
	tIfSet 21,d06_01
	tIfSet 20,d05_02
	tIfSet 17,d05_01
	tExtend talk05a
	tSetBit 17
	tEnd
dNTscript
d05_01	db "..."
	tEnd
d05_02	tExtend talk05b
	tSetBit 21
	tDialogOff
	tInfoText MSG0085
	tEnd

; 06 : head monk

d06script
	tIfSet 77,gmzy_01
	tIfSet 20,d06_02
	tIfSet 19,d06_01
	tExtend talk06a
	tSetBit 19
	tEnd
d06_01	tExtend talk06c
	tEnd
d06_02	tExtend talk06d
	tEnd
	
; 07 : abyss girl

d07script
	tIfSet 38,d07_05
	tIfSet 31,d07_04
	tIfSet 29,d07_03
	tIfSet 22,d07_02
	tExtend talk07a
	tAddItem 16
	tSetBit 22
	tEnd
d07_02	tExtend talk07b
	tEnd
d07_03	tExtend talk07c
d07_04	tExtend talk07f
	tSetBit 31
	tEnd
d07_05	tExtend talk07d
d00end	tEnd

; 08 : ghost

d08script
	tIfSet 80,d08_02
	tIfSet 79,d08_01
	tExtend talk08i
	tEnd
d08_01	tExtend talk08e
	tMoveElem 29,48,22,9
	tSetBit 80
	tEnd
d08_02	tExtend talk08f
	tEnd

; 09 : digger elevator man

d09script
	tIfSet 24,d09_01
	tExtend talk09a
	tZoneOn 4
	tSetBit 24
	tMoveNPC idKnight,29,8,9
	tEnd
d09_01	tExtend talk09b
	tEnd

; 10,11 diggers-workers

d10script
	tIfSet 29,d10_02
	tIfSet 25,d10_01
	tExtend talk10a
	tSetBit 25
	tEnd
d10_01	tExtend talk10c
	tEnd
d10_02	tExtend talk10d
	tEnd
	
; 12	blocked digger

d12script
	tIfSet 34,d12_02
	tIfSet 30,d12_01
	tExtend talk12a
	tSetBit 30
	tEnd
d12_01	tExtend talk12d
	tEnd
d12_02	tExtend talk12e
	tEnd
	
; 13	piligrim

d13script
	tIfSet 105,d13_05
	tIfSet 201,d13_04
	tIfSet 73,d13_03a
	tIfSet 43,d13_03
	tIfSet 39,d13_02
	tIfSet 32,d13_01
	tExtend talk13a
	tCall d13_01
	tExtend talk13b
	tSetBit 32
	tEnd
d13_01	tExtend talk13l
d13_e	tEnd
d13_02	tExtend talk13c
d13_03	tExtend talk13d
	tSetBit 43
	tEnd
d13_03a	tExtend talk13g
	tEnd
d13_04	tExtend talk13e
	tEnd
d13_05	tExtend talk13f
	tIfSet 85,d13_e
	tSetBit 85
	db 13
	tExtend talk13k
	tDialogOff
	tAddEquip eAmulet,5
	tInfoText MSGAA05
	tEnd
	
; 14 : master

d14script
	tIfSet 38,d14_02
	tIfSet 35,d14_01
	tExtend talk14a
	tSetBit 35
	tEnd
d14_01	tExtend talk14e
	tEnd
d14_02	tExtend talk14f
	tEnd
	
; 15 : alone

d15script
	tIfRes 20,d15_no
	tIfSet 76,d15_02
	tIfSet 64,d15_03
	tIfSet 40,d15_01
	tExtend talk15a
	tMoveNPC idTroll,40,17,4
	tMoveElem 20,40,40,40
	tSetBit 40
d15_01	tExtend talk15b
d15_end	tEnd
d15_02	tExtend talk15d
	tEnd
d15_03	tExtend talk15e
	tJump g0f1aa
d15_no	tExtend talk15f
	tEnd

; 16 : old man

d16script
	tIfSet 59,d16_03
d16_00	tIfSet 71,d16_02
	tIfSet 55,d16_01
	tIfSet 41,d09_01
	tExtend talk16a
	tSetBit 41
	tMapSpr 26,as26o
	tDoorOn 20
	tMoveNPC idDwarf,47,19,3
	tEnd
d16_01	tExtend talk16b
	tEnd
d16_02	tExtend talk16c
	tEnd
d16_03	tIfSet 86,d16_00
	tSetBit 86
	tExtend talk16d
	tAddItem 24
	tEnd
	
; 17 : dwarf

d17script
	tIfSet 70,d17_0a
	tIfSet 82,d19_04
	tIfSet 55,d19_03
	tIfSet 53,d17_09
	tIfSet 106,d17_08
	tIfSet 51,d17_07
	tIfSet 41,d17_06
	tIfSet 50,d17_05
	tIfSet 47,d17_04
	tIfSet 46,d17_03
	tIfSet 45,d17_02
	tIfSet 44,d17_01
	tExtend talk17a
	tSetBit 44
	tZoneOn 12
	tEnd
d17_01	tExtend talk17b
	tEnd
d17_02	tExtend talk17c
	tMoveNPC idBandit,21,19,4
	tSetBit 46
	tEnd
d17_03	tExtend talk17d
	tEnd
d17_04	tExtend talk17e
	tSetBit 50
	tEnd
d17_05	tExtend talk17l
	tEnd
d17_06	tExtend talk17f
	tSetBit 51
	tEnd
d17_07	tExtend talk17g
	tEnd
d17_08	tExtend talk17h
	tSetBit 53
	tEnd
d17_09	tExtend talk17i
	tEnd
d17_0a	tExtend talk17j
	tEnd
	
; 18 : bandit

d18script
	tIfSet 61,d18_05	; already give you book/keystone
	tIfSet 48,d18_02	; key returned to bandit
	tIfSet 47,d18_01	; 1st dialog
	tExtend talk18a
t18_c0	tSetBit 47
	tMoveNPC idOldman,1,3,9
	tEnd
d18_01	tExtend talk18b		; 'return my key'
	tEnd
d18_02	tIfSet 41,d18_03	; old man house is opened
d18_lat	tExtend talk18d		; 'later'
	tEnd
d18_03	tExtend t18ef
d1803a	tIfSet 59,d18_04	; if knight gone
	tExtend talk18e
	tAddItem 23		; book
	tSetBit 61
	tEnd
d18_04	tExtend talk18f
	tAddItem 25		; keystone
	tSetBit 61
	tEnd
d18_05	tExtend talk18h
	tEnd

; 19 : dwarf brother

d19script
	tIfSet 72,d19_04
	tIfSet 71,d19_06
	tIfSet 70,d19_05
	tIfSet 82,d19_04
	tIfSet 55,d19_03
	tIfSet 54,d19_02
	tIfSet 52,d19_01
	tExtend talk19a
	tSetBit 52
	tEnd
d19_01	tExtend talk19b
	tEnd
d19_02	tExtend talk19d
	tEnd
d19_03	tExtend talk19h
	tDialogOff
	tInfoText MSGAA03
	tAddEquip eAmulet,3
	tSetBit 82
	tEnd
d19_04	tExtend talk19i
	tEnd
d19_05	tExtend talk19j
	tEnd
d19_06	tExtend talk19g
	tEnd
	
; 20 : east trader

d20script
	tIfSet 75,d20_04
	tIfSet 69,d20_02
	tIfSet 68,d20_03
	tIfSet 66,d20_02
	tIfSet 63,d20_01
	tExtend talk20a
	tSetBit 63
	tEnd
d20_01	tExtend talk20b
	tSetBit 66
	tEnd
d20_02	tExtend talk20e
	tEnd
d20_03	tExtend talk20f
	tAddItem 3
	tSetBit 69
	tEnd
d20_04	tExtend talk20h
	tEnd

; 21 : viking

d21script
	tIfSet 74,d21_01
	tIfSet 68,d21_03
	tIfSet 66,d21_02
	tIfSet 67,d21_01
d21_00	tNpcAni idViking,ani21b
	tExtend talk21a
	tSetBit 67
	tEnd
d21_01	tExtend talk21z
	tEnd
d21_02	tExtend talk21b
	tSetBit 68
	tEnd
d21_03	tExtend talk21c
	tEnd