;ZONE id,map,x,y,dx,dy,script.adr,flag
;flag b0:zone is inactive

zoneTable
	ZONE 0,18,16,12,1,5,z00scr,0
	ZONE 1,6,9,5,1,6,z01scr,0
	ZONE 2,22,7,12,16,1,z02scr,0
	ZONE 3,22,12,13,1,1,z03scr,1	; inactive yet
	ZONE 4,27,18,11,3,1,z04scr,1
	ZONE 5,28,10,17,3,1,z05scr,0
	ZONE 6,29,13,11,4,1,z06scr,0
	ZONE 7,33,18,10,10,1,z07scr,0
	ZONE 8,36,1,3,32,1,z08scr,1
	ZONE 9,40,10,12,15,1,z09scr,0
	ZONE 10,46,0,13,32,1,z10scr,0
	ZONE 11,48,11,14,11,1,z11scr,0
	ZONE 12,35,9,15,10,1,z12scr,1	; move dwarf
	ZONE 13,44,13,4,1,4,z13scr,1
	ZONE 14,49,10,16,10,1,z14scr,0	; bugs battle
	ZONE 15,1,3,10,1,10,z15scr,1	; move alone to village
	ZONE 16,50,14,14,4,1,z16scr,0	; final battle
	ZONE 17,45,10,10,5,1,z17scr,1	; move dwarfs to roots
	ZONE 18,29,10,13,2,2,z18scr,1	; move knight to end point
	db 0xff

btlLose	tMuzSwitch 0
	tWaitNPC 0
	tExtend gameOverScript
	tExtend oSkin
	tRestore		; to checkpoint
	tDrawBag
	tSetMap 255
	tMuzPlay 1
	tMuzSwitch 1
	tEnd

; 0 : firecat battle
z00scr
	tBattle 0,btlLose
	tEnd

; 1 : blacksmith daughter
z01scr	tNpcAni idDaughter,ani02b
	tExtend talk02a
	tAddItem 1
	tZoneOff 1
	tEnd

; 2 : spiders battle
z02scr	tBattle 1,btlLose
	tEnd
	
; 3 : elevator from spiders cave
z03scr
	tMapSpr 5,as05e
	tPause 25
	tMoveElem 5,21,18,12
	tDoorOff 13
	tMoveNPC 0,21,18,10
	tMoveNPC idBlacksmith,6,12,3
	tSetBit 8
	tEnd
	
; 4 : elevator down to abyss
z04scr	tNpcAni 0,c00liftDown
	tMapAni 18,ani18d
	tWaitNPC 0
	tMoveNPC 0,28,10,14
	tNpcSpr 0,herou0
	tMapSpr 18,as18a
	tEnd
	
; 5 : elevator up from abyss
z05scr	tNpcAni 0,c00liftUp
	tMapAni 19,ani19u
	tWaitNPC 0
	tMoveNPC 0,27,18,10
	tMapSpr 19,as19a
	tEnd
	
; 6 : strong spider battle
z06scr	tBattle 2,btlLose
	tEnd

; 7 : many-eyes demon battle
z07scr	tBattle 3,btlLose
	tEnd

; 8 : move mayor to great tree
z08scr	tMoveNPC idMayor,37,8,6
	tZoneOff 8
	tSetBit 39
	tEnd
	
; 9 : troll battle
z09scr	tBattle 4,btlLose
	tEnd

; 10 : dark wizard battle
z10scr	tBattle 5,btlLose
	tEnd

; 11 : golem battle
z11scr	tBattle 6,btlLose
	tEnd

; 12 : move dwarf
z12scr	tMoveNPC idDwarf,36,24,6
	tZoneOff 12
	tSetBit 45
	tEnd

; 13 : move dwarfs
z13scr	tMoveNPC idDwarfBro,1,11,10
	tZoneOff 13
	tSetBit 55
	tEnd

; 14 : bugs battle
z14scr	tBattle 7,btlLose
	tEnd

; 15
z15scr	tMoveNPC idAlone,8,16,5
	tNpcSpr idAlone,npc15b
	tZoneOff 15
	tSetBit 65
	tEnd
	
; 16 : final battle
z16scr	tBattle 100,btlLose	; victory will start finalcut
	tEnd
	
; 17
z17scr	tMoveNPC idDwarf,46,13,6
	tMoveNPC idDwarfBro,46,10,6
	tZoneOff 17
	tSetBit 71
	tEnd
	
; 18
z18scr	
	tMoveNPC idKnight,7,18,3
	tMoveElem 155,7,18,6
	tMoveNPC idCaptain,7,19,7
	tZoneOff 18
	tSetBit 83
	tEnd