; crafting

	MODULE craft

exec
	call aniOff
	ld bc,0x0709
	ld hl,craftWin
	LDB d,(layMap+7)
	call engine.drawSpr
	call reFresh
	call dcItems
	call noKey
craft1	halt
	ld hl,cKeyTab
	call inKeys
	jr craft1

cftKE				; exit from crafting
	call cftK0		; return items to inventory
	pop af			; reset actCraft::inKeys
	ld bc,0x0709
	ld hl,craftWin
	LDB d,(layMap+7)
	call engine.rmSpr
/*
	IFDEF NoColor
	ld hl,0x5869
	ld de,18
	ld a,(engine.bgColor)
	ld b,14
ctfil1	ld c,14
ctfil2	ld (hl),a
	inc l
	dec c
	jr nz,ctfil2
	add hl,de
	djnz ctfil1
	ENDIF
*/
	call reFresh
	call drawBag
	call noKey
	jp aniOn

cCraft	ld de,(cIngrA)		; d,e = items
	ld hl,(cftTabAdr)
ccftCYC	ld a,(hl)
	cp 0xff
	jr z,ccftNAN
	inc hl
	cp d			; d,e | e,d
	jr nz,ccftND
	ld a,(hl)
	cp e
	jr z,ccftCFT
	jr ccftNXT
ccftND	cp e
	jr nz,ccftNXT
	ld a,(hl)
	cp d
	jr z,ccftCFT
ccftNXT	inc hl
	inc hl
	inc hl
	inc hl
	jr ccftCYC
ccftCFT	inc hl		; cResult = iconId
	ld de,cResult
	ldi		; iconId
	ldi		; <script.adr>
	ldi
	ret
ccftNAN	ld a,0xff
	ld (cResult),a
	ret
	
cKeyTab	dw 0x01ef,cftK0		; 0: reset
	dw 0x02fe,cftKZ		; Z,X: rotate bag
	dw 0x04fe,cftKX	
	dw 0x01bf,cftKEnt	; Ent: craft
	dw 0x017f,cftKSpc	; Spc: put item
	dw 0x04fb,cftKE		; E: exit
	db 0
	
cftKZ	and a
	jr cftzx
cftKX	scf
cftzx	call rotateBag
	jp noKey
	
cftKSpc	ld a,(curItem)
	ld c,a
	inc a
	jp z,noKey
	ld de,cIngrA
	ld a,(de)
	inc a
	jr z,cfput1
	inc de
	ld a,(de)
	inc a
	jp nz,noKey
cfput1	push de
	call findItem
	pop de
	jp c,noKey
	ld a,(curItem)
	ld (de),a
	dec (ix+10)
	jr nz,cfput2
	res 0,(ix+13)
cfput2	call cCraft
	call dcItems
	jp noKey

cftK0	ld de,cIngrA		; 0 : reset items
	ld a,(de)
	inc a
	call nz,cftk0r
	inc de
	ld a,(de)
	inc a
	call nz,cftk0r
	ld a,0xff
	ld (cResult),a
cftk0x	call dcItems
	jp noKey

cftKEnt	ld a,(cResult)		; Enter : craft item, put it in inventory
	inc a
	jp z,noKey
	ld hl,(cScript)
	call script.exec
	jr cftk0x

cftk0r	push de			; return ingridient from (DE) to inventory
	ld a,(de)
	call addToBag
	pop de
	ret c
	ld a,0xff
	ld (de),a
	ret

dcItems	ld hl,0x484a		; draw ingridients (item id)
	ld a,(cIngrA)
	call drawItem
	ld hl,0x484d
	ld a,(cIngrB)
	call drawItem
	ld hl,0x4852		; draw result (icon id)
	ld a,(cResult)
	call drawIcon
	jp drawBag
	
cIngrA	db 0xff
cIngrB	db 0xff
cResult	db 0xff
cScript	dw 0

craftWin
	db 12,6
	db 1,2,2,2,2,2,2,2,2,2,2,3
	db 4,5,"CRAFTING",5,6
	db 4,5,5,5,5,5,5,5,5,5,5,6
	db 4,5,5,5,5,5,5,10,5,5,5,6
	db 4,5,5,5,5,5,5,11,5,5,5,6
	db 7,8,8,8,8,8,8,8,8,8,8,9

	ENDMODULE