	MODULE map

setMap	ld d,a
;	ld a,(curMap)
;	cp d
;	ret z
	push de
	call aniOff
	call rmAll
	call m0Bank
	pop af
	ld (curMap),a
	ld e,a
	ld d,0
	ld hl,0xc000
	add hl,de
	add hl,de
	LDHL
	ld a,h
	rlca
	rlca
	and 3
	call mBank
	ld a,h
	or 0xc0
	ld h,a
	ld de,upMap		; neighbour maps, color, tileset
	ld bc,7
	ldir
	ld a,(mapCol)
	and a
	jr nz,smp01
	ld a,7
smp01	ld (engine.bgColor),a

	ld de,0x0108
	ld a,(layMask)
smp02	rra
	call c,layDepack
	inc d
	dec e
	jr nz,smp02

	call wBank
	call setAll		; set active elements
	ld a,(mapTSet)
	call mapSetTiles
	call engine.updAll
	call reFresh		; redraw screen
	ld a,(mapFlag)
	rra
	call c,saveState
	jp aniOn

mBank	and 1			; reset to 2 pages
	jp z,m0Bank
	jp m1Bank

layDepack
	push af
	push de
	push de
	push hl
	ld hl,mapBuf
	ld de,mapBuf+1
	ld bc,767
	ld (hl),0
	ldir
	pop hl
	ld e,(hl)
	inc hl
	ld d,(hl)
	inc hl
	ex de,hl
	add hl,de	; DE:cur.lay.data.adr, HL:next.lay.adr
	push hl
	ex de,hl	; HL:cur.lay.data.adr
	ld de,mapBuf
	call DEHRUST
	pop hl
	pop de
	push hl
	ld bc,(vpPos)
	ld hl,mapSpr
	call engine.drawSpr
	pop hl
	pop de
	pop af
	ret

mapSetTiles
	ld e,a
	ld d,0
	ld hl,(tilTabAdr)
	add hl,de
	add hl,de
	ld e,(hl)
	inc hl
	ld d,(hl)
	push de
	ld hl,engine.TileTab
	ex de,hl
	ld bc,16
	ldir
	pop de
	ld hl,(curTileSetAdr)
	and a
	sbc hl,de
	ld a,h
	or l
	ret z
	ld (curTileSetAdr),de
	jp engine.updAll

	ENDMODULE

curTileSetAdr
	dw 0

vpPos	dw 0
curMap	db 255
layMask	db %00100011

upMap	db 255
rgMap	db 255
dnMap	db 255
lfMap	db 255
mapCol	db 0
mapTSet	db 0
mapFlag	db 0
