	DEVICE ZXSPECTRUM128

	define FFILE "bin/font1251.bin"
	define AFILE "lang/ru.messages.asm"
	define BFILE "lang/ru.text.asm"

	include AFILE

	include "L7engine/defines.asm"

	org 0xc000,4
	incbin "bin/map.bin"
	display "map\t0xC000, ",$-0xc000," : ",0x10000-$," free"

	org 0xc000,1
	include "data.asm"
	display "data\t0xC000, ",$-0xc000," : ",0x10000-$," free"
	savebin "obj/page1.bin",0xc000,$-0xc000

	org 0xc000,3
	include BFILE
	display "text\t0xC000, ",$-0xc000," : ",0x10000-$," free"
	savebin "obj/page3.bin",0xc000,$-0xc000


	org 0xc000,7
	include "L7engine/pt3xplayer.asm"
	include "music.asm"
	display "muzic\t0xc000, ",$-0xc000," : ",0x10000-$," free"
	savebin "obj/page7.bin",0xc000,$-0xc000

	DEFINE NoColor
	DEFINE UseBuffer

	org 0x7d7d,0
	include "L7engine/main.asm"
	display "code\t0x7d7d, ",$-0x7d7d

	savebin "obj/engine.bin",0x7d7d,$-0x7d7d

gfxbgn=$
	include "graphic.asm"

mainSize=$-begin
	display "gfx\t",gfxbgn,", ",$-gfxbgn," : ",0xffff-$," free"

	savebin "obj/gfx.bin",gfxbgn,$-gfxbgn

; save snapshot
	SAVESNA "quest.sna",begin
